[prev in list] [next in list] [prev in thread] [next in thread] 

List:       lustre-cvs
Subject:    [lustre-cvs] b_devel: lustre/tests sanity.sh
From:       youfeng <youfeng () moraine ! clusterfs ! com>
Date:       2003-09-30 6:08:27
[Download RAW message or body]

Update of /cvsroot/lustre/lustre/tests
In directory moraine.clusterfs.com:/tmp/cvs-serv22844/tests

Modified Files:
      Tag: b_devel
	sanity.sh 
Log Message:
b 1585 Support immutable attributes to prevent accidental file deletion from the archives


Index: sanity.sh
===================================================================
RCS file: /cvsroot/lustre/lustre/tests/sanity.sh,v
retrieving revision 1.17.2.77
retrieving revision 1.17.2.78
diff -u -w -b -B -p -r1.17.2.77 -r1.17.2.78
--- sanity.sh	26 Sep 2003 23:17:45 -0000	1.17.2.77
+++ sanity.sh	30 Sep 2003 06:08:21 -0000	1.17.2.78
@@ -1377,6 +1377,21 @@ test_51() {
 }
 run_test 51 "special situations: split htree with empty entry =="
 
+test_52() {
+	mkdir $DIR/d51
+	touch $DIR/d51/foo
+	chattr =i $DIR/d51/foo || error
+	cat test > $DIR/d51/foo && error
+	rm -f $DIR/d51/foo 2>/dev/null && error
+	link $DIR/d51/foo $DIR/d51/foo_link 2>/dev/null && error
+	rename $DIR/d51/foo $DIR/d51/foo_ren || error
+	[ -f $DIR/d51/foo ] || error
+	[ -f $DIR/d51/foo_ren ] && error
+	chattr -i $DIR/d51/foo || error
+	rm -fr $DIR/d51 || error
+}
+run_test 52 "immutable flag test ==============================="
+
 test_60() {
 	echo 60 "llog tests run from kernel mode"
 	sh run-llog.sh

_______________________________________________
Lustre-cvs mailing list
Lustre-cvs@lists.clusterfs.com
https://lists.clusterfs.com/mailman/listinfo/lustre-cvs
[prev in list] [next in list] [prev in thread] [next in thread] 

Configure | About | News | Add a list | Sponsored by KoreLogic